--[[=============================================================================
	File is: ip_server_device_specific.lua
	Copyright 2021 Wirepath Home Systems, LLC. All Rights Reserved.
===============================================================================]]

require "common.c4_diagnostics"

function HandleServerDataIn(Headers, Content)
	LogTrace("HandleServerDataIn")
	LogTrace(Headers)
	LogTrace(Content)

	if (Headers.POST) then
		if (string.find(Headers.POST, 'Motion')) then
			Camera:TriggerAlert ('Motion')
		elseif (string.find(Headers.POST, 'Alarm')) then
			Camera:TriggerAlert ('Alarm')
		elseif (string.find(Headers.POST, 'Audio')) then
			Camera:TriggerAlert ('Audio')
		elseif (string.find(Headers.POST, 'Face')) then
			Camera:TriggerAlert ('Face')
		elseif (string.find(Headers.POST, 'Tamper')) then
			Camera:TriggerAlert ('Tamper')
		end
	end
end
