--[[=============================================================================
	File is: driver.lua
    Copyright 2017 Control4 Corporation. All Rights Reserved.
===============================================================================]]

require "common.c4_driver_declarations"
require "common.c4_common"
require "common.c4_init"
require "common.c4_property"
require "common.c4_command"
require "common.c4_diagnostics"
require "common.c4_notify"
require "common.c4_utils"


require "device_specific"

if (TEMPLATE_VERSION ~= nil) then
	TEMPLATE_VERSION.driver = "2017.09.07"
end



--[[==========================================================================================
	Initialization Code
============================================================================================]]
function ON_DRIVER_EARLY_INIT.MainDriver()
end


function ON_DRIVER_INIT.MainDriver()
	SetLogName(DRIVER_NAME)

	if(PersistData == nil) then
		PersistData = {}
	end
end


function ON_DRIVER_LATEINIT.MainDriver()
	DeviceSpecificInitialize()
	UpdateProperty("Driver Version", C4:GetDriverConfigInfo("version"))
end


ldX	= true		--- for development
